Site Requirements

This site is designed to be used under these conditions:

  • Internet Explorer 5.5+
  • Netscape 6.0+
  • Mozilla .7+
  • Mozilla Firefox 1.0+
  • Safari 1.0 or greater+
  • Javscript enabled
  • Cookies enabled
  • AJAX capable

If you believe you have the minimal requirements and are still having problems, then please contact us so that we can help you.